// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/obs_ctrl/Qt/engPanel/engineering_ctrl_panel.h 552 2018-05-04 09:04:24Z depa $

#pragma once

#include <QMainWindow>
#include <QProcess>
#include <QtGui/QApplication>
#include <QtGui/QLabel>
#include <QtGui/QMenu>
#include <QtGui/QMenuBar>
#include <QtGui/QPushButton>
#include <QtGui/QGridLayout>
#include <QtGui/QGroupBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QSpacerItem>
#include <iostream>

class engineerUi: public QMainWindow
{
  Q_OBJECT
public:
  engineerUi();
private slots:
  void on_calib_button_clicked();
  void on_track_button_clicked();
  void on_tiptilt_button_clicked();
  void on_motion_button_clicked();

private:
  void createActions();
  void createMenus();

  QAction *actionClose;

  QGridLayout *gridLayout;

  QLabel *labSynoptic;

  QMenu *menuFile;
  QMenuBar *menubar;

  QPushButton *btnCalibCtrl;
  QPushButton *btnMotionCtrl;
  QPushButton *btnTiptiltCtrl;
  QPushButton *btnTrackCtrl;

  QStatusBar *statusbar;

  QWidget *centralwidget;
};
